// 80's colors shader
// Petr Schreiber, 2007

varying vec3 normal, lightDir;

void main()
{
	float intensity;
	vec3 n;
	vec4 color;

	n = normalize(normal);
	intensity = max(dot(lightDir,n),0.0); 

	color = vec4(0.5+sin(intensity*6.0)/2.0,0.5-sin(intensity*3.0)/4.0,0.5-cos(intensity*10.0)/2.0,1);
		
	gl_FragColor = color;
}
